# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2019-08-12 09:51
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import speedy.core.base.models
import speedy.match.accounts.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SiteProfile',
            fields=[
                ('date_created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('date_updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('last_visit', models.DateTimeField(auto_now_add=True, verbose_name='last visit')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='speedy_match_site_profile', serialize=False, to=settings.AUTH_USER_MODEL, verbose_name='User')),
                ('notify_on_like', models.PositiveIntegerField(choices=[(1, 'Notify me'), (0, "Don't notify me")], default=1, verbose_name='On new likes')),
                ('active_languages', django.contrib.postgres.fields.ArrayField(base_field=models.TextField(), blank=True, default=speedy.match.accounts.models.SiteProfile.active_languages_default, null=True, size=2, verbose_name='Active languages')),
                ('height', models.SmallIntegerField(blank=True, help_text='cm', null=True, verbose_name='Height')),
                ('profile_description_en', models.TextField(blank=True, null=True, verbose_name='Few words about me')),
                ('profile_description_he', models.TextField(blank=True, null=True, verbose_name='Few words about me')),
                ('children_en', models.TextField(blank=True, null=True, verbose_name='Do you have children? How many?')),
                ('children_he', models.TextField(blank=True, null=True, verbose_name='Do you have children? How many?')),
                ('more_children_en', models.TextField(blank=True, null=True, verbose_name='Do you want (more) children?')),
                ('more_children_he', models.TextField(blank=True, null=True, verbose_name='Do you want (more) children?')),
                ('match_description_en', models.TextField(blank=True, null=True, verbose_name='My ideal match')),
                ('match_description_he', models.TextField(blank=True, null=True, verbose_name='My ideal match')),
                ('gender_to_match', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), blank=True, default=speedy.match.accounts.models.SiteProfile.gender_to_match_default, null=True, size=3, verbose_name='Gender to match')),
                ('min_age_to_match', models.SmallIntegerField(default=0, verbose_name='Minimal age to match')),
                ('max_age_to_match', models.SmallIntegerField(default=180, verbose_name='Maximal age to match')),
                ('diet_match', django.contrib.postgres.fields.jsonb.JSONField(default=speedy.match.accounts.models.SiteProfile.diet_match_default, verbose_name='Diet match')),
                ('smoking_status_match', django.contrib.postgres.fields.jsonb.JSONField(default=speedy.match.accounts.models.SiteProfile.smoking_status_match_default, verbose_name='Smoking status match')),
                ('relationship_status_match', django.contrib.postgres.fields.jsonb.JSONField(default=speedy.match.accounts.models.SiteProfile.relationship_status_match_default, verbose_name='Relationship status match')),
                ('diet_to_match', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), blank=True, default=speedy.match.accounts.models.SiteProfile.diet_to_match_default, null=True, size=3, verbose_name='Diet to match')),
                ('smoking_status_to_match', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), blank=True, default=speedy.match.accounts.models.SiteProfile.smoking_status_to_match_default, null=True, size=3, verbose_name='Smoking status to match')),
                ('relationship_status_to_match', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), blank=True, default=speedy.match.accounts.models.SiteProfile.relationship_status_to_match_default, null=True, size=9, verbose_name='Relationship status to match')),
                ('activation_step_en', models.PositiveSmallIntegerField(default=2, verbose_name='Activation step')),
                ('activation_step_he', models.PositiveSmallIntegerField(default=2, verbose_name='Activation step')),
                ('number_of_matches_en', models.PositiveSmallIntegerField(blank=True, default=None, null=True, verbose_name="Number of matches on last user's search")),
                ('number_of_matches_he', models.PositiveSmallIntegerField(blank=True, default=None, null=True, verbose_name="Number of matches on last user's search")),
            ],
            options={
                'verbose_name': 'Speedy Match Profile',
                'verbose_name_plural': 'Speedy Match Profiles',
            },
            bases=(speedy.core.base.models.ValidateModelMixin, models.Model),
        ),
    ]
